package cokr.xit.fims.eqplc.service.bean;

import java.util.List;

import javax.annotation.Resource;

import org.springframework.stereotype.Service;
import cokr.xit.fims.eqplc.Eqplc;
import cokr.xit.fims.eqplc.EqplcQuery;
import cokr.xit.fims.eqplc.service.EqplcService;
import cokr.xit.foundation.component.AbstractServiceBean;
import cokr.xit.foundation.data.DataObject;

@Service("eqplcService")
public class EqplcServiceBean extends AbstractServiceBean implements EqplcService {

	@Resource(name = "eqplcBean")
	private EqplcBean eqplcBean;	

	@Override
	public List<DataObject> getList(EqplcQuery req) {
		return eqplcBean.getList(req);
	}
	
	@Override
	public DataObject getOne(String req) {
		return eqplcBean.getOne(req);
	}
	
	@Override
	public String insert(Eqplc req) {
		return eqplcBean.insert(req);
	}
	
	@Override
	public String update(Eqplc req) {
		return eqplcBean.update(req);
	}

}